use sqlx::any::AnyPoolOptions;

#[tokio::main]
async fn main() -> anyhow::Result<()> {
    let user = "";
    let password = "";
    let host = "";
    let database = "";
    let database_type = "";
    let connection_string = format!(
        "{}://{}:{}@{}/{}",
        database_type, user, password, host, database
    );
    let _ = AnyPoolOptions::new()
        .max_connections(20)
        .connect(&connection_string)
        .await?;
    Ok(())
}
